﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_constraint.sql **/
 EXEC P_ALTERPK 'PK_TCVAT_ACCDETAIL_PERPRE', 'T_TCVAT_ACCDETAIL_PERPRE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_DET_SERIAL') CREATE INDEX IDX_TAXC_PERPRE_DET_SERIAL ON T_TCVAT_ACCDETAIL_PERPRE ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_PERPRE_DET', 'T_TCVAT_HZ_PERPRE_DET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_HZ_DET_SERIAL') CREATE INDEX IDX_TAXC_PERPRE_HZ_DET_SERIAL ON T_TCVAT_HZ_PERPRE_DET ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_PERPRE_SUM', 'T_TCVAT_HZ_PERPRE_SUM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_HZ_SUM_ORGDATE') CREATE INDEX IDX_TAXC_PERPRE_HZ_SUM_ORGDATE ON T_TCVAT_HZ_PERPRE_SUM ( FORGID ,FSTARTDATE ,FENDDATE ,FTAXPAYERTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_HZ_SUM_SERIAL') CREATE INDEX IDX_TAXC_PERPRE_HZ_SUM_SERIAL ON T_TCVAT_HZ_PERPRE_SUM ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_HZ_PERPRE_SUM_JT', 'T_TCVAT_HZ_PERPRE_SUM_JT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_HZ_SUMJT_SERIA') CREATE INDEX IDX_TAXC_PERPRE_HZ_SUMJT_SERIA ON T_TCVAT_HZ_PERPRE_SUM_JT ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_PERPRE_SUM_SJJT', 'T_TCVAT_PERPRE_SUM_SJJT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_SUM_JT_ORGDATE') CREATE INDEX IDX_TAXC_PERPRE_SUM_JT_ORGDATE ON T_TCVAT_PERPRE_SUM_SJJT ( FORGID ,FTAXPERIOD ,FDEADLINE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_SUM_JT_SERIAL') CREATE INDEX IDX_TAXC_PERPRE_SUM_JT_SERIAL ON T_TCVAT_PERPRE_SUM_SJJT ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TCVAT_PERPRE_SUMMARY', 'T_TCVAT_PERPRE_SUMMARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_SUM_ORG_DATE') CREATE INDEX IDX_TAXC_PERPRE_SUM_ORG_DATE ON T_TCVAT_PERPRE_SUMMARY ( FORGID ,FTAXPERIOD ,FDEADLINE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_PERPRE_SUM_SERIALNO') CREATE INDEX IDX_TAXC_PERPRE_SUM_SERIALNO ON T_TCVAT_PERPRE_SUMMARY ( FSERIALNO );



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_constraint.sql **/
