﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_ACCDETAIL_PERPRE') 
 CREATE TABLE T_TCVAT_ACCDETAIL_PERPRE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FFILTERCONDITION NCLOB,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONDITIONJSON NCLOB,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_PERPRE_DET') 
 CREATE TABLE T_TCVAT_HZ_PERPRE_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXACCOUNTSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILTERCONDITION NCLOB,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITIONJSON NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_PERPRE_SUM') 
 CREATE TABLE T_TCVAT_HZ_PERPRE_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERPREPROJECT BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_HZ_PERPRE_SUM_JT') 
 CREATE TABLE T_TCVAT_HZ_PERPRE_SUM_JT (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUBORG BIGINT DEFAULT 0 NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPERPREPROJECT BIGINT DEFAULT 0 NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPAYERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PERPRE_SUM_SJJT') 
 CREATE TABLE T_TCVAT_PERPRE_SUM_SJJT (
FID BIGINT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPERPREPROJECT BIGINT DEFAULT 0 NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_PERPRE_SUMMARY') 
 CREATE TABLE T_TCVAT_PERPRE_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERPREPROJECT BIGINT DEFAULT 0 NOT NULL,
FDEADLINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCVAT_table.sql **/
